{% include "header.html" %}

<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Edit Search Item
        </h1>
    </section>

    <!-- Main content -->
    <section class="content container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="box box-primary">
                    <!-- Display success/error message after submission completes -->
                    {% if action != "none" %}
                        <div class="box-header with-border">
                            <form action="/scanItems">
                                <button type="submit" class="btn btn-primary" style="float:right;">Return to Items</button>
                            </form>
                        </div>
                        <div class="box-body"><center>
                            <h2>{{ message }}</h2><br>
                            {% if action == "fail" %}
                                {% for i in err %}
                                    {{ i }}
                                    <br>
                                {% endfor %}
                            {% endif %}
                        </center></div>
                    {% endif %}
                    {% if action == "none" %}                    
                    <div class="box-header with-border">
                        <form action="/scanItems">
                            <button type="submit" class="btn btn-danger" style="float:right;">Cancel</button>
                        </form>
                    </div>
                    <div class="box-body">
                        <form action="/editItem" method="POST" role="form">
                            <div class="row">
                                <div class="col-md-6">
                                    <input type="hidden" name="action" value="updateItem">
                                    <input type="hidden" name="item_id" value="{{item_id}}">
                                    <div class="form-group">
                                        <label>Name:</label>
                                        <input type="text" class="form-control" name="name" value="{{item_name}}">
                                    </div>
                                    <div class="form-group">
                                        <label>Type:</label>
                                        <select class="form-control select2" name="type" id="type">
                                            <option value="Product" {% if item_type == "Product" %} selected{% endif %}>Product</option>
                                            <option value="Keyword" {% if item_type == "Keyword" %} selected{% endif %}>Keyword</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <input type = "button" id="add" class="btn btn-block btn-primary" value="Add Alias">
                                    <!-- alias template -->
                                    <div class="newAliasForm" name="newAliasForm" id="alias1" style="display:none;">
                                        <input type ="button" id="remove" class="btn btn-danger remove" value="X" style="display:inline;">
                                        <input type="text" class="form-control" name="alias" placeholder="Alias" style="display:inline; width:90%;"> 
                                    </div>
                                    <!-- end alias template -->
                                    <div id="newAliasContainer">
                                        {% for i in aliases %}
                                            <div class="newAliasForm" name="newAliasForm" id="alias{{ loop.index + 1}}">
                                                <input type="hidden" name="existing_id" value="{{ i[0] }}">
                                                <input type="button" class="btn btn-danger" value="X" style="display:inline;" onclick="deleteAlias({{i[0]}})">
                                                <input type="text" class="form-control" name="existing_alias" value="{{ i[1] }}" style="display:inline; width:90%;"> 
                                            </div>
                                        {% endfor %}
                                    </div>
                                </div> <!-- / end col 6 -->
                            </div> <!-- / end row -->
                            <div class="row">
                                <div class="col-md-12">
                                    <!-- <div class="box-footer"> -->
                                    <center><button type="submit" class="btn btn-block btn-success">Update</button></center>
                                    <!-- </div> -->
                                </div> <!-- / end col 12 -->
                            </div> <!-- / end row -->
                        </form> <!-- / end form -->
                    </div> <!-- /box body -->
                    {% endif %}
                </div> <!-- /box  -->
            </div> <!-- /end col 12-->
        </div> <!-- /end row -->
    </section> <!-- /end content-container fluid -->
</div>
 
<script>
function deleteAlias(alias_id) {
    if (confirm('Are you sure you want to delete this alias?')) {
        // Delete alias
        $.post("/editItem", {
                action: "deleteAlias",
                alias: alias_id
            },
            function(data){
               if(data.success == true){ // if true (1)
                  setTimeout(function(){// wait for 5 secs(2)
                       location.reload(); // then reload the page.(3)
                  }, 5000); 
               }
            }
        );
    } else {
        // Do nothing!
    }

}

$(document).ready(function(){

    $('#add').click(function(){
        $('#alias1').clone().appendTo("#newAliasContainer");
        $('.newAliasForm').last().css("display","").hide().fadeIn('slow');
        $('.newAliasForm').last().attr('id', 'alias' + $('.newAliasForm').length);
        //$('.newAliasForm:nth-last-child(1) input[name=alias]').attr('name', 'alias' + $('.newAliasForm').length);

    })

    $(document).on('click','#remove', function(){
        $(this).parent().remove();
    });


})

</script>

{% include "footer.html" %}




